import 'package:betting/view/mobile/favourites_view/teams/team_info_view/team_info_controller.dart';
import 'package:betting/view/mobile/scores/football/football_controller.dart';
import 'package:get/get.dart';
import 'package:intl/intl.dart';

class FixtureTeamController extends GetxController {
  bool isFavourite = true;
  var listMatChesFavouriteOfTeam = Get.find<FootballController>().listMatches;
  var outputDateToDateFormat = DateFormat('yyyy-MM-dd');
  var outputTimeFormat = DateFormat('HH:mm');
  var outputDateFormat = DateFormat('dd/MM/yyyy');


  @override
  void onInit() {
    if(Get.isRegistered<FootballController>()){
      Get.find<FootballController>().getListMatchesOnDay('${Get.find<TeamInfoController>().itemTeam.value.id}', '','INIT');
    }
    super.onInit();
  }
}